<div id="categories">
    <!-- A boucler pour le nombre de catégories -->
    <div *ngFor="let cat of categories">
        <div *ngIf="cat.products.size > 0">
            <div class="list-group-item list-group-item-dark">
                {{cat.name}}
            </div>

            <div class="list-group-item font-weight-bold">
                <div class="row">
                    <div class="col-6">
                        Type
                    </div>
                    <div class="col-2">
                        Prix
                    </div>
                    <div class="col-2">
                        Quantité
                    </div>
                    <div class="col-2">
                        Total
                    </div>
                </div>
            </div>
            <!-- A boucler pour le nombre de produits dans une catégorie -->
            <div class="list-group-item" *ngFor="let product of cat.products">
                <div class="row">
                    <div class="col-6">
                        <b>{{product.name}}</b> <span class="fa fa-info-circle info-button"
                                               (click)="displayInfo[product.id] = !displayInfo[product.id]"
                                               *ngIf="product.description"></span>
                        <span class="badge badge-danger" *ngIf="isDisabled(product)">Indisponible</span><br/>
                        <small class="line-breaker"> {{ product.description}} </small>

                    </div>
                    <div class="col-2">
                        {{product.price_ttc | currency:'EUR':'symbol-narrow':'1.2-2'}}
                    </div>
                    <div class="col-2">
                        <select class="form-control" (change)="updateCount(product, $event)" [disabled]="isDisabled(product)"
                                [ngModel]="order.productsCount[product.id]">
                            <option *ngFor="let i of seatsChoices(product)">{{i}}</option>
                        </select>
                    </div>
                    <div class="col-2 text-center">
                        {{product.price_ttc * order.productsCount[product.id] | currency:'EUR':'symbol-narrow':'1.2-2'}}
                    </div>
                    <div class="col-12">
                        <div *ngIf="displayInfo[product.id]" class="text-muted m-3 line-breaker">
                            {{product.description}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="code" class="row" *ngIf="!order.coupon">
        <div class="col-3 offset-4 text-right">Code de réduction</div>
        <div class="col-5 text-center">
            <div class="input-group">
                <input type="text" class="form-control" [(ngModel)]="newCode"/>
                <span class="input-group-btn">
                <button class="btn btn-secondary" type="button" [class.disabled]="applyingCode" (click)="applyCoupon()">Appliquer</button>
              </span>
            </div>
        </div>
    </div>
    <div id="code-display" class="row" *ngIf="order.coupon">
        <div class="col-8 offset-4 text-right">
            <div class="pull-left">Réduction "{{order.coupon.description}}" appliquée</div>
            <div class="btn btn-danger pull-right" [class.disabled]="applyingCode" (click)="removeCoupon()"><i class="fa fa-trash"></i></div>
        </div>
    </div>
    <div id="total" class="row">
        <div class="col-3 offset-6 text-right">Total</div>
        <div class="col-3 text-center">{{getTotalPrice() | currency:'EUR':'symbol-narrow':'1.2-2'}}</div>
    </div>
    <div class="mt-2">
        <div class="col-md-5 offset-md-7">
            <div class="btn btn-primary btn-block" (click)="validateOrder()">Suivant</div>
        </div>
    </div>
</div>
